Language

Update language

Update an existing language

PATCH
/api/v2/languages/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

The language Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v2/languages/1" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 10,  "name": "German",  "lang": "de",  "langBcp": "de-DE",  "dir": "ltr",  "context": null,  "pluralForms": null}
{  "errors": {    "name": "Empty value"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}